#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xFA,0xD1,0x0F,0x8E,0x69,0xC6,0x07,0x9A,0x6B,0x0D,0x45,0x8C,
		0x49,0x77,0x6D,0xD5,0xCD,0x2C,0xBF,0xC2,0x2F,0x4C,0xB6,0x85,
		0xF9,0x9E,0xBB,0x31,0x09,0xEB,0xDB,0xC7,0x99,0x40,0x3E,0xA0,
		0x03,0x15,0x6E,0x0C,0x5B,0xA4,0xD8,0x18,0xDD,0x0A,0xF2,0x9B,
		0x51,0xF1,0xD7,0x2C,0x00,0x12,0x28,0xA9,0xF8,0xF2,0xF0,0x69,
		0x9F,0x59,0x52,0x43,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
